<?php

namespace App\Filament\Resources\Monitoring\MediaMonitorings\Pages;

use App\Filament\Actions\BackAction;
use App\Filament\Resources\Monitoring\MediaMonitorings\MediaMonitoringResource;
use App\Filament\Support\CheerfulNotification;
use Filament\Notifications\Notification;
use Filament\Resources\Pages\EditRecord;

class EditMediaMonitoring extends EditRecord
{
    protected static string $resource = MediaMonitoringResource::class;

    protected function getHeaderActions(): array
    {
        return [
            BackAction::make()
                ->url(ListMediaMonitorings::getUrl()),
        ];
    }

    protected function getSavedNotification(): ?Notification
    {
        return CheerfulNotification::update();
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}
